## org.eclipse.m2m.atl.core.ui.launch
Class ATLLaunchShortcut

    java.lang.Object
      org.eclipse.m2m.atl.core.ui.launch.ATLLaunchShortcut

All Implemented Interfaces:
  org.eclipse.debug.ui.ILaunchShortcut

    public class ATLLaunchShortcut

extends java.lang.Object
implements org.eclipse.debug.ui.ILaunchShortcut

ATL Launch Shortcut.

Constructor Summary
`ATLLaunchShortcut()`

Method Summary
`protected org.eclipse.debug.core.ILaunchConfiguration` `chooseConfiguration(java.util.List<org.eclipse.debug.core.ILaunchConfiguration> configList)` Returns a configuration from the given collection of configurations that should be launched, or `null` to cancel.
`protected org.eclipse.debug.core.ILaunchConfigurationType` `getConfigurationType()`
`java.lang.String` `getModuleNameFromFile(org.eclipse.core.resources.IFile file)` Returns the default module name.
`void` `launch(org.eclipse.ui.IEditorPart editor, java.lang.String mode)`
`protected void` `launch(org.eclipse.core.resources.IFile file, java.lang.String mode)` Launches a configuration from ATL file.
`void` `launch(org.eclipse.jface.viewers.ISelection selection, java.lang.String mode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATLLaunchShortcut

    public ATLLaunchShortcut()

Method Detail

### launch

    public void launch(org.eclipse.jface.viewers.ISelection selection,
                       java.lang.String mode)

  Specified by:
    `launch` in interface `org.eclipse.debug.ui.ILaunchShortcut`
  See Also:
    `ILaunchShortcut.launch(org.eclipse.jface.viewers.ISelection, java.lang.String)`

### launch

    public void launch(org.eclipse.ui.IEditorPart editor,
                       java.lang.String mode)

  Specified by:
    `launch` in interface `org.eclipse.debug.ui.ILaunchShortcut`
  See Also:
    `ILaunchShortcut.launch(org.eclipse.ui.IEditorPart, java.lang.String)`

### launch

    protected void launch(org.eclipse.core.resources.IFile file,
                          java.lang.String mode)

  Launches a configuration from ATL file.

  Parameters:
    `file` - the file
    `mode` - the launch mode

### chooseConfiguration

    protected org.eclipse.debug.core.ILaunchConfiguration chooseConfiguration(java.util.List<org.eclipse.debug.core.ILaunchConfiguration> configList)

  Returns a configuration from the given collection of configurations that should be launched, or `null` to cancel. Default implementation opens a selection dialog that allows the user to choose one of the specified launch configurations. Returns the chosen configuration, or `null` if the user cancels.

  Parameters:
    `configList` - list of configurations to choose from
  Returns:
    configuration to launch or `null` to cancel

### getModuleNameFromFile

    public java.lang.String getModuleNameFromFile(org.eclipse.core.resources.IFile file)

  Returns the default module name.

  Parameters:
    `file` - the file name
  Returns:
    the default module name

### getConfigurationType

    protected org.eclipse.debug.core.ILaunchConfigurationType getConfigurationType()

Copyright 2007 IBM Corporation and others. All Rights Reserved.